org.eclipse.net4j.db.derby

## Class DerbyAdapter

- java.lang.Object
- - org.eclipse.net4j.spi.db.DBAdapter
  - - org.eclipse.net4j.db.derby.DerbyAdapter

- All Implemented Interfaces:
    IDBAdapter
  Direct Known Subclasses:
    EmbeddedDerbyAdapter

      public abstract class DerbyAdapter
      extends DBAdapter

  A `DB adapter` for Derby databases.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.spi.db.DBAdapter

      `DBAdapter.FieldInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VERSION`

    - ### Fields inherited from interface org.eclipse.net4j.db.IDBAdapter

      `REGISTRY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerbyAdapter(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getReservedWords()`
    `protected java.lang.String` | `getTypeName(IDBField field)`
    `boolean` | `isColumnNotFoundException(java.sql.SQLException ex)`
    `boolean` | `isDuplicateKeyException(java.sql.SQLException ex)` Check if an exception indicates a constraint violation (duplicate key)
    `boolean` | `isTableNotFoundException(java.sql.SQLException ex)`
    `boolean` | `isValidFirstChar(char ch)` Check if a character is valid as first character.

    - ### Methods inherited from class org.eclipse.net4j.spi.db.DBAdapter

      `adaptType, addIndex, addIndexField, alterTable, appendFieldDefs, appendFieldNames, convertString, convertString, convertString, createConnectionProvider, createConstraints, createField, createFieldDefinition, createFieldDefinitions, createIndex, createIndex, createIndex, createIndexFields, createJDBCDataSource, createPrimaryKey, createTable, createTable, createTables, doCreateTable, dropField, dropIndex, dropIndex, dropPrimaryKey, dropTable, dropTable, dropTables, format, format, getDefaultDBLength, getDropTableSQL, getFieldLength, getJDBCDriver, getMaxFieldNameLength, getMaxTableNameLength, getName, getSQL92ReservedWords, getVersion, isPrimaryKeyShadow, isReservedWord, isTypeIndexable, modifyConnection, readFields, readIndices, readIndices, readSchema, readSchema, readTables, sqlModifyField, sqlModifyField, sqlRenameField, toString, updateSchema, validateTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static final java.lang.String VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DerbyAdapter

          public DerbyAdapter(java.lang.String name)

  - ### Method Detail

    - #### getTypeName

          protected java.lang.String getTypeName(IDBField field)

      Overrides:
        `getTypeName` in class `DBAdapter`

    - #### getReservedWords

          public java.lang.String[] getReservedWords()

    - #### isValidFirstChar

          public boolean isValidFirstChar(char ch)

      Description copied from interface: `IDBAdapter`
      Check if a character is valid as first character. (e.g., underscores are forbidden as first character in Derby elements.
      Specified by:
        `isValidFirstChar` in interface `IDBAdapter`
      Overrides:
        `isValidFirstChar` in class `DBAdapter`

    - #### isDuplicateKeyException

          public boolean isDuplicateKeyException(java.sql.SQLException ex)

      Description copied from interface: `IDBAdapter`
      Check if an exception indicates a constraint violation (duplicate key)
      Specified by:
        `isDuplicateKeyException` in interface `IDBAdapter`
      Overrides:
        `isDuplicateKeyException` in class `DBAdapter`

    - #### isTableNotFoundException

          public boolean isTableNotFoundException(java.sql.SQLException ex)

      Specified by:
        `isTableNotFoundException` in interface `IDBAdapter`
      Overrides:
        `isTableNotFoundException` in class `DBAdapter`

    - #### isColumnNotFoundException

          public boolean isColumnNotFoundException(java.sql.SQLException ex)

      Specified by:
        `isColumnNotFoundException` in interface `IDBAdapter`
      Overrides:
        `isColumnNotFoundException` in class `DBAdapter`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html